diff --git a/src/providers/jsonrpc-provider.ts b/src/providers/jsonrpc-provider.ts
index 0978154..53b182c 100644
--- a/src/providers/jsonrpc-provider.ts
+++ b/src/providers/jsonrpc-provider.ts
@@ -368,7 +368,7 @@ export class JsonRpcSigner extends Signer {
 const allowedTransactionKeys: { [key: string]: boolean } = {
   chainId: true,
   data: true,
-  entryFunctionPayload: true,
+  functionAptos: true,
   gasLimit: true,
   gasPrice: true,
   nonce: true,
@@ -801,7 +801,7 @@ export class JsonRpcProvider extends BaseProvider {
       result[key] = hexlify((<any>transaction)[key]);
     });
 
-    ["entryFunctionPayload"].forEach(function (key) {
+    ["functionAptos"].forEach(function (key) {
       if ((<any>transaction)[key] == null) { return; }
       result[key] = (<any>transaction)[key];
     });
diff --git a/src/types/index.ts b/src/types/index.ts
index 16a537c..23fef77 100644
--- a/src/types/index.ts
+++ b/src/types/index.ts
@@ -327,7 +327,7 @@ export interface TransactionRequest {
   expiredSecs?: U64;
   addGasBufferMultiplier?: U8;
 
-  entryFunctionPayload?: {
+  functionAptos?: {
     type?: string,
     function: string,
     type_arguments: Array<string>,
